Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.validation
Class Friend

    java.lang.Object
      org.eclipse.wst.validation.Friend

    public class Friend

extends java.lang.Object

This class is only to be called by the validation framework and it's test cases. This class is NOT part of the API.

This class provides access to some internal methods.

Constructor Summary
`Friend()`

Method Summary
`static boolean` | `isLoaded(Validator validator)` Has the validator's implementation been loaded yet?
`static void` | `setMessages(Validator validator, java.util.Map<java.lang.String,MessageSeveritySetting> map)`
`static void` | `setMigrated(Validator validator, boolean migrated)`
`static boolean` | `shouldValidate(Validator validator, IResource resource, boolean isManual, boolean isBuild, org.eclipse.wst.validation.internal.ContentTypeWrapper contentTypeWrapper)`
`static boolean` | `shouldValidate(Validator validator, IResource resource, org.eclipse.wst.validation.internal.ValType valType, org.eclipse.wst.validation.internal.ContentTypeWrapper contentTypeWrapper)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Friend

    public Friend()

Method Detail

### setMessages

    public static void setMessages(Validator validator,
                                   java.util.Map<java.lang.String,MessageSeveritySetting> map)

### isLoaded

    public static boolean isLoaded(Validator validator)

  Has the validator's implementation been loaded yet? This is used by some test cases to ensure that plug-ins are not loaded too early.

### shouldValidate

    public static boolean shouldValidate(Validator validator,
                                         IResource resource,
                                         boolean isManual,
                                         boolean isBuild,
                                         org.eclipse.wst.validation.internal.ContentTypeWrapper contentTypeWrapper)

### shouldValidate

    public static boolean shouldValidate(Validator validator,
                                         IResource resource,
                                         org.eclipse.wst.validation.internal.ValType valType,
                                         org.eclipse.wst.validation.internal.ContentTypeWrapper contentTypeWrapper)

### setMigrated

    public static void setMigrated(Validator validator,
                                   boolean migrated)

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD